using System;

internal sealed class Delegate580 : MulticastDelegate
{
	public extern string Invoke(string string_0);

	public static string smethod_0(string string_0, Delegate580 delegate580_1)
	{
		return delegate580_1(string_0);
	}

	public extern Delegate580(object object_0, IntPtr intptr_0);

	static Delegate580()
	{
		Class10.smethod_13(typeof(Delegate580).TypeHandle);
	}

	internal static Delegate580 delegate580_0;
}
